summaryrefslogtreecommitdiffstats
path: root/wine
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-02-17 00:58:36 +0000
committer Eric Hameleers <alien@slackware.com>2007-02-17 00:58:36 +0000
commit2ac558f0eba619e83294e4d70081dc76e09a334e (patch)
tree841f3fba5e4c95b3bb5c0144920e25f45e5391d4 /wine
parent090fcf4ee6fb5b92d019ded3e83660f70fea16cf (diff)
downloadasb-2ac558f0eba619e83294e4d70081dc76e09a334e.tar.gz
asb-2ac558f0eba619e83294e4d70081dc76e09a334e.tar.xz
Update
Diffstat (limited to 'wine')
-rwxr-xr-xwine/build/wine.SlackBuild74
1 files changed, 36 insertions, 38 deletions
diff --git a/wine/build/wine.SlackBuild b/wine/build/wine.SlackBuild
index 8d0d9991..3ffac84d 100755
--- a/wine/build/wine.SlackBuild
+++ b/wine/build/wine.SlackBuild
@@ -1,8 +1,25 @@
#!/bin/sh
# $Id$
# Copyright (c) 2006,2007 Eric Hameleers <alien@slackware.com>
-# -----------------------------------------------------------------------------
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# -----------------------------------------------------------------------------
# Slackware SlackBuild script
# ===========================
# By: Eric Hameleers <alien@slackware.com>
@@ -17,8 +34,10 @@
# * Update.
# 0.9.30-1: 30/jan/2007 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 0.9.31-1: 17/feb/2007 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
-# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# Run 'sh wine.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
# Install using 'installpkg'.
#
@@ -28,7 +47,7 @@
# Set initial variables:
PRGNAM=wine
-VERSION=${VERSION:-0.9.30}
+VERSION=${VERSION:-0.9.31}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
@@ -58,7 +77,7 @@ SRCURL="http://ibiblio.org/pub/linux/system/emulators/${PRGNAM}/${PRGNAM}-${VERS
# Exit the script on errors:
set -e
-trap 'echo "$0 FAILED!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+trap 'echo "$0 FAILED on line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
# Catch unitialized variables:
set -u
P1=${1:-1}
@@ -145,37 +164,15 @@ echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"
-cd $PKG
-
-# Explode the package framework:
-if [ -f $SRCDIR/_$PRGNAM.tar.gz ]; then
- explodepkg $SRCDIR/_$PRGNAM.tar.gz
-fi
-
cd $TMP/tmp-$PRGNAM
-
-# --- TARBALL EXTRACTION,PATCH,MODIFY ---
-
echo "Extracting the source archive(s) for $PRGNAM..."
if `file ${SOURCE} | grep -q ": bzip2"`; then
- tar -xjvf ${SOURCE} || true
-elif `file ${SOURCE} | grep -qi ": zip"`; then
- unzip ${SOURCE} || true
-elif `file ${SOURCE} | grep -qi ": 7-zip"`; then
- 7za -x ${SOURCE} || true
-else
- tar -xzvf ${SOURCE} || true
-fi
-if [ $? -ne 0 ]; then
- echo "Error in unpacking '${SOURCE}!' Aborting..."
- exit $?
-fi
-if [ -d ${PRGNAM}-${VERSION} ]; then
- cd ${PRGNAM}-${VERSION}
+ tar -xjvf ${SOURCE}
else
- cd ${PRGNAM}* # a little less specific
+ tar -xzvf ${SOURCE}
fi
+cd ${PRGNAM}-${VERSION}
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -225,17 +222,17 @@ chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
[ -d $PKG/usr/share/man ] && \
mv $PKG/usr/share/man $PKG/usr/ && rmdir $PKG/usr/share || true
# Compress the man page(s)
-[ -d $PKG/usr/man ] && (
+if [ -d $PKG/usr/man ]; then
cd $PKG/usr/man
find . -type f -name "*.?" -exec gzip -9f {} \;
for i in `find . -type l -name "*.?"` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
- )
+fi
# Strip binaries
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+cd -
# --- OWNERSHIP, RIGHTS ---
@@ -259,9 +256,10 @@ fi
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
- 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
-(cd $OUTPUT && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
if [ -f $PKG/install/slack-required ]; then
cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.dep